> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quota limit request

> Get detailed information about a specific quota limit request.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v2/limits_request/{request_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/limits_request/{request_id}:
    get:
      tags:
        - Quotas
      summary: Get quota limit request
      description: Get detailed information about a specific quota limit request.
      operationId: ShowQuotaLimitsRequestViewSet.get
      parameters:
        - in: path
          name: request_id
          required: true
          description: LimitRequest ID
          schema:
            description: LimitRequest ID
            example: 3
            examples:
              - 3
            format: int64
            title: Request Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitsRequestSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            request = client.cloud.quotas.requests.get(
                3,
            )
            print(request.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\trequest, err := client.Cloud.Quotas.Requests.Get(context.TODO(), 3)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", request.ID)\n}\n"
components:
  schemas:
    LimitsRequestSerializer:
      properties:
        client_id:
          description: Client ID
          example: 1
          examples:
            - 1
          title: Client Id
          type: integer
        created_at:
          description: Datetime when the request was created.
          example: '2019-07-26T13:25:03'
          examples:
            - '2019-07-26T13:25:03'
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Describe the reason, in general terms.
          examples:
            - Scale up mysql cluster
          title: Description
        id:
          description: Request ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        requested_limits:
          $ref: '#/components/schemas/AllClientQuotasLimitsSerializer'
          description: Requested limits.
        status:
          description: Request status
          example: in progress
          examples:
            - in progress
          title: Status
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Datetime when the request was updated.
          examples:
            - '2019-07-26T13:25:03'
          title: Updated At
      required:
        - id
        - client_id
        - requested_limits
        - status
      title: LimitsRequest object
      type: object
    AllClientQuotasLimitsSerializer:
      properties:
        global_limits:
          $ref: '#/components/schemas/CreateGlobalQuotasLimitsSerializer'
          description: Global entity quota limits
        regional_limits:
          description: Regions and their quota limits
          items:
            $ref: '#/components/schemas/RegionalQuotasLimitsSerializer'
          title: Regional Limits
          type: array
      title: Global and regional quota limits of the client.
      type: object
    CreateGlobalQuotasLimitsSerializer:
      additionalProperties: false
      properties:
        inference_cpu_millicore_count_limit:
          description: Inference CPU millicore count limit
          example: 0
          examples:
            - 0
          title: Inference Cpu Millicore Count Limit
          type: integer
        inference_gpu_a100_count_limit:
          description: Inference GPU A100 Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu A100 Count Limit
          type: integer
        inference_gpu_h100_count_limit:
          description: Inference GPU H100 Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu H100 Count Limit
          type: integer
        inference_gpu_l40s_count_limit:
          description: Inference GPU L40s Count limit
          example: 0
          examples:
            - 0
          title: Inference Gpu L40S Count Limit
          type: integer
        inference_instance_count_limit:
          description: Inference instance count limit
          example: 0
          examples:
            - 0
          title: Inference Instance Count Limit
          type: integer
        keypair_count_limit:
          description: SSH Keys Count limit
          example: 100
          examples:
            - 100
          title: Keypair Count Limit
          type: integer
        project_count_limit:
          description: Projects Count limit
          example: 2
          examples:
            - 2
          title: Project Count Limit
          type: integer
      title: Scheme for create GlobalQuotaLimits
      type: object
    RegionalQuotasLimitsSerializer:
      additionalProperties: false
      properties:
        baremetal_basic_count_limit:
          description: Basic bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Basic Count Limit
          type: integer
        baremetal_gpu_a100_count_limit:
          description: Bare metal A100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu A100 Count Limit
          type: integer
        baremetal_gpu_count_limit:
          deprecated: true
          description: >-
            Total number of AI GPU bare metal servers. This field is deprecated
            and is now always calculated automatically as the sum of
            `baremetal_gpu_a100_count_limit`, `baremetal_gpu_h100_count_limit`,
            `baremetal_gpu_h200_count_limit`, and
            `baremetal_gpu_l40s_count_limit`.
          example: 0
          examples:
            - 0
          title: Baremetal Gpu Count Limit
          type: integer
        baremetal_gpu_h100_count_limit:
          description: Bare metal H100 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H100 Count Limit
          type: integer
        baremetal_gpu_h200_count_limit:
          description: Bare metal H200 GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu H200 Count Limit
          type: integer
        baremetal_gpu_l40s_count_limit:
          description: Bare metal L40S GPU server count limit
          example: 0
          examples:
            - 0
          title: Baremetal Gpu L40S Count Limit
          type: integer
        baremetal_hf_count_limit:
          description: High-frequency bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Hf Count Limit
          type: integer
        baremetal_infrastructure_count_limit:
          description: Infrastructure bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Infrastructure Count Limit
          type: integer
        baremetal_network_count_limit:
          description: Bare metal Network Count limit
          example: 0
          examples:
            - 0
          title: Baremetal Network Count Limit
          type: integer
        baremetal_storage_count_limit:
          description: Storage bare metal servers count limit
          example: 0
          examples:
            - 0
          title: Baremetal Storage Count Limit
          type: integer
        caas_container_count_limit:
          description: Containers count limit
          example: 0
          examples:
            - 0
          title: Caas Container Count Limit
          type: integer
        caas_cpu_count_limit:
          description: mCPU count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Cpu Count Limit
          type: integer
        caas_gpu_count_limit:
          description: Containers gpu count limit
          example: 0
          examples:
            - 0
          title: Caas Gpu Count Limit
          type: integer
        caas_ram_size_limit:
          description: MiB memory count for containers limit
          example: 0
          examples:
            - 0
          title: Caas Ram Size Limit
          type: integer
        cluster_count_limit:
          description: K8s clusters count limit
          example: 0
          examples:
            - 0
          title: Cluster Count Limit
          type: integer
        cpu_count_limit:
          description: vCPU Count limit
          example: 0
          examples:
            - 0
          title: Cpu Count Limit
          type: integer
        dbaas_postgres_cluster_count_limit:
          description: DBaaS cluster count limit
          example: 0
          examples:
            - 0
          title: Dbaas Postgres Cluster Count Limit
          type: integer
        external_ip_count_limit:
          description: External IP Count limit
          example: 0
          examples:
            - 0
          title: External Ip Count Limit
          type: integer
        faas_cpu_count_limit:
          description: mCPU count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Cpu Count Limit
          type: integer
        faas_function_count_limit:
          description: Functions count limit
          example: 0
          examples:
            - 0
          title: Faas Function Count Limit
          type: integer
        faas_namespace_count_limit:
          description: Functions namespace count limit
          example: 0
          examples:
            - 0
          title: Faas Namespace Count Limit
          type: integer
        faas_ram_size_limit:
          description: MiB memory count for functions limit
          example: 0
          examples:
            - 0
          title: Faas Ram Size Limit
          type: integer
        firewall_count_limit:
          description: Firewalls Count limit
          example: 0
          examples:
            - 0
          title: Firewall Count Limit
          type: integer
        floating_count_limit:
          description: Floating IP Count limit
          example: 0
          examples:
            - 0
          title: Floating Count Limit
          type: integer
        gpu_count_limit:
          description: GPU Count limit
          example: 0
          examples:
            - 0
          title: Gpu Count Limit
          type: integer
        gpu_virtual_a100_count_limit:
          description: Virtual A100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual A100 Count Limit
          type: integer
        gpu_virtual_h100_count_limit:
          description: Virtual H100 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H100 Count Limit
          type: integer
        gpu_virtual_h200_count_limit:
          description: Virtual H200 GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual H200 Count Limit
          type: integer
        gpu_virtual_l40s_count_limit:
          description: Virtual L40S GPU card count limit
          example: 0
          examples:
            - 0
          title: Gpu Virtual L40S Count Limit
          type: integer
        image_count_limit:
          description: Images Count limit
          example: 0
          examples:
            - 0
          title: Image Count Limit
          type: integer
        image_size_limit:
          description: Images Size, bytes limit
          example: 0
          examples:
            - 0
          title: Image Size Limit
          type: integer
        ipu_count_limit:
          description: IPU Count limit
          example: 0
          examples:
            - 0
          title: Ipu Count Limit
          type: integer
        laas_topic_count_limit:
          description: LaaS Topics Count limit
          example: 0
          examples:
            - 0
          title: Laas Topic Count Limit
          type: integer
        loadbalancer_count_limit:
          description: Load Balancers Count limit
          example: 0
          examples:
            - 0
          title: Loadbalancer Count Limit
          type: integer
        network_count_limit:
          description: Networks Count limit
          example: 0
          examples:
            - 0
          title: Network Count Limit
          type: integer
        ram_limit:
          description: RAM Size, MiB limit
          example: 0
          examples:
            - 0
          title: Ram Limit
          type: integer
        region_id:
          description: Region ID
          example: 1
          examples:
            - 1
          title: Region Id
          type: integer
        registry_count_limit:
          description: Registries count limit
          example: 0
          examples:
            - 0
          title: Registry Count Limit
          type: integer
        registry_storage_limit:
          description: Registries volume usage, GiB limit
          example: 0
          examples:
            - 0
          title: Registry Storage Limit
          type: integer
        router_count_limit:
          description: Routers Count limit
          example: 0
          examples:
            - 0
          title: Router Count Limit
          type: integer
        secret_count_limit:
          description: Secret Count limit
          example: 0
          examples:
            - 0
          title: Secret Count Limit
          type: integer
        servergroup_count_limit:
          description: Placement Group Count limit
          example: 0
          examples:
            - 0
          title: Servergroup Count Limit
          type: integer
        sfs_count_limit:
          description: Shared file system Count limit
          example: 0
          examples:
            - 0
          title: Sfs Count Limit
          type: integer
        sfs_size_limit:
          description: Shared file system Size, GiB limit
          example: 0
          examples:
            - 0
          title: Sfs Size Limit
          type: integer
        shared_vm_count_limit:
          description: Basic VMs Count limit
          example: 0
          examples:
            - 0
          title: Shared Vm Count Limit
          type: integer
        snapshot_schedule_count_limit:
          description: Snapshot Schedules Count limit
          example: 0
          examples:
            - 0
          title: Snapshot Schedule Count Limit
          type: integer
        subnet_count_limit:
          description: Subnets Count limit
          example: 0
          examples:
            - 0
          title: Subnet Count Limit
          type: integer
        vm_count_limit:
          description: Instances Dedicated Count limit
          example: 0
          examples:
            - 0
          title: Vm Count Limit
          type: integer
        volume_count_limit:
          description: Volumes Count limit
          example: 0
          examples:
            - 0
          title: Volume Count Limit
          type: integer
        volume_size_limit:
          description: Volumes Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Size Limit
          type: integer
        volume_snapshots_count_limit:
          description: Snapshots Count limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Count Limit
          type: integer
        volume_snapshots_size_limit:
          description: Snapshots Size, GiB limit
          example: 0
          examples:
            - 0
          title: Volume Snapshots Size Limit
          type: integer
      title: RegionalQuotasLimitsSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````